Sandbox Events
GET
/v1/sandbox/{sandboxId}/eventsGET
/v1/sandbox/{'{sandboxId}'}/eventsYour instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sandboxId | path | string | Yes | |
tenantId | query | string | No | |
eventType | query | string | No | |
limit | query | integer | No | |
offset | query | integer | No |
Responses
200 List lifecycle events for a sandbox
| Property | Type | Description |
|---|---|---|
events | object[] | |
total | integer |
default An unexpected error response.
| Property | Type | Description |
|---|---|---|
code | integer | |
message | string | |
details | object[] |
Request
curl -X GET "https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/events" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/events", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();import requests
response = requests.get(
"https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/events",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
)
data = response.json()Response
{
"events": [
{
"id": "string",
"sandboxId": "string",
"sessionId": "string",
"tenantId": "string",
"eventType": "string",
"message": "string",
"durationMs": "string",
"error": "string",
"createdAt": "2024-01-01T00:00:00Z"
}
],
"total": 0
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
